package test_data

import (
	"errors"
	"testData/model"
	"testData/repository"
)

func HandleUploadFiles(fileTexts []*model.FileText, step, machine string) error {
	if step == "" {
		return errors.New("未输入工序")
	}
	for _, fileText := range fileTexts {
		if machine == "STS8200" {
			repository.HandleSTS8200Excel(fileText, step)
		} else if machine == "TQT601" {
			repository.HandlerTQT601Excel(fileText, step)
		}
	}
	return nil
}
